package com.jeesharp.business.modules.mall.service;

import com.jeesharp.business.modules.mall.entity.MallPickupPoint;
import com.jeesharp.business.modules.mall.vo.MallPickupPointQueryVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

import java.util.List;

public interface MallPickupPointService extends BaseInterface<MallPickupPoint, MallPickupPointQueryVO> {

    void createPoint(MallPickupPoint entity);

    void updatePoint(MallPickupPoint entity);
List<MallPickupPoint> listEnabledPoints();

    List<MallPickupPoint> getPointsByRegion(String province, String city, String district);
}
